libnjb: Error codes

Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Examples

# Error codes

## Defines
#define | EO_USBCTL 1
#define | EO_USBBLK 2
#define | EO_RDSHORT 3
#define | EO_NOMEM 4
#define | EO_BADDATA 5
#define | EO_EOM 6
#define | EO_BADSTATUS 7
#define | EO_BADNJBID 8
#define | EO_BADCOUNT 9
#define | EO_WRSHORT 10
#define | EO_NULLTMP 11
#define | EO_TOOBIG 12
#define | EO_CANTMOVE 13
#define | EO_TIMEOUT 14
#define | EO_ABORTED 15
#define | EO_EOF 16
#define | EO_DEVICE 17
#define | EO_INIT 18
#define | EO_TMPFILE 19
#define | EO_XFERDENIED 20
#define | EO_WRFILE 21
#define | EO_XFERERROR 22
#define | EO_SRCFILE 23
#define | EO_INVALID 24
#define | EO_AGAIN 25
#define | EO_BAD_NJB1_REPLACE 26

## Define Documentation

#define EO_ABORTED 15

| operation aborted

#define EO_AGAIN 25

| resource temporarily unavailable

#define EO_BAD_NJB1_REPLACE 26

| too little info to replace tag on NJB1

#define EO_BADCOUNT 9

| library count mismatch

#define EO_BADDATA 5

| invalid data

#define EO_BADNJBID 8

| Jukebox ID has changed

#define EO_BADSTATUS 7

| bad status from Jukebox

#define EO_CANTMOVE 13

| can't move file to destination

#define EO_DEVICE 17

| can't open device for read/write

#define EO_EOF 16

| received EOF

#define EO_EOM 6

| end of data

#define EO_INIT 18

| can't initialize device

#define EO_INVALID 24

| invalid arguments

#define EO_NOMEM 4

| out of memory

#define EO_NULLTMP 11

| temporary transfer dir not defined

#define EO_RDSHORT 3

| short read on USB data pipe

#define EO_SRCFILE 23

| can't read source file

#define EO_TIMEOUT 14

| operation timed out

#define EO_TMPFILE 19

| can't create temporary file

#define EO_TOOBIG 12

| block size too big

#define EO_USBBLK 2

| I/O failure on USB data pipe

#define EO_USBCTL 1

| I/O failure on USB control pipe

#define EO_WRFILE 21

| error writing output file

#define EO_WRSHORT 10

| short write on USB data pipe

#define EO_XFERDENIED 20

| transfer request denied

#define EO_XFERERROR 22

| bad transfer completion status